SOLVED [EA-8081] ModSecurity v2.9.3 update

marcuszan

Well-Known Member
Apr 19, 2018
63
5
8
Netherlands
cPanel Access Level
Root Administrator
I read ModSecurity has released v2.9.3
This should fix some major issues with modruid2 and permissions on folders modsecurity needed.

Any idea when this update will be released for Easy Apache 4 / cPanel users?
Or is there a manual update method suggested ?

Thanks
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,213
363
Hello @marcuszan,

Internal case EA-8081 is open for the inclusion of Mod_Security version 2.9.3 with EasyApache 4. I don't have a specific time frame to offer on it's release at this time, but I'll monitor the case and update this thread with more information as it becomes available.

Thank you.
 

marcuszan

Well-Known Member
Apr 19, 2018
63
5
8
Netherlands
cPanel Access Level
Root Administrator
Hello @marcuszan,

ModSecurity version 2.9.3 was published for a brief period of time, however it's currently removed from the EA4 update mirrors due to the issue described on the following thread:

SOLVED - [EA-8506] ModSecurity 2.9.3 results in Apache service failures

Thank you.
Thanks for the info Michael.
Indeed it was installed on my server. I did NOT experience any issues with Apache.
However I did the downgrade to be on the safe side and will wait for the fixed update.

Thanks
 
  • Like
Reactions: cPanelMichael

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,910
2,213
363
Hello @marcuszan,

You're very welcome. I don't have a firm ETA to provide at this time, but we are planning to publish the ModSecurity 2.9.3 RPM with a patch for the issue reported in case EA-8506. I'll update this thread with more information as soon as it's available.

Thank you.
 
  • Like
Reactions: marcuszan